import { httpRequest } from '@/services/http'
import { HttpParams } from '@/services/http/interface'

/**
 * 查询仓单成交明细
 */
 export function queryWrTradeDetail(params: HttpParams<{ req: Model.WrTradeDetailReq, rsp: Model.WrTradeDetailRsp[] }>) {
    return httpRequest('/WrTrade2/QueryWrTradeDetail', 'get', params);
}

/**
 * 查询仓单委托单
 */
 export function queryWrOrderDetail(params: HttpParams<{ req: Model.WrOrderDetailReq, rsp: Model.WrOrderDetailRsp[] }>) {
    return httpRequest('/WrTrade2/QueryWrOrderDetail', 'get', params);
}

/**
 * 查询我的订单-采购订单
 */
 export function queryTHJPurchaseTradeDetail(params: HttpParams<{ req: Model.THJPurchaseTradeDetailReq, rsp: Model.THJPurchaseTradeDetailRsp[] }>) {
    return httpRequest('/Ferroalloy/QueryTHJPurchaseTradeDetail', 'get', params);
}

/**
 * 查询仓单持有记录
 */
 export function queryHoldLB(params: HttpParams<{ req: Model.HoldLBReq, rsp: Model.HoldLBRsp[] }>) {
    return httpRequest('/WrTrade2/QueryHoldLB', 'get', params);
}

/**
 * 查询提货申请
 */
 export function queryWrOutInApply(params: HttpParams<{ req: Model.WrOutInApplyReq, rsp: Model.WrOutInApplyRsp[] }>) {
    return httpRequest('/WrTrade2/QueryWrOutInApply', 'get', params);
}